Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 94318 - Closed Property Sheet still queries nodes for property sets
Closed Property Sheet still queries nodes for property sets
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
release55_fixes_fixed
: PERFORMANCE, SIMPLEFIX
Depends on:
Blocks: 84275
  Show dependency treegraph
 
Reported: 2007-02-05 09:43 UTC by Viktor Lapitski
Modified: 2008-12-22 11:40 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch to fix it (1.62 KB, patch)
2007-02-05 23:31 UTC, _ tboudreau
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Viktor Lapitski 2007-02-05 09:43:39 UTC
To reproduce:
- place debugging output or breakpoint  somewhere along the call trace
....
        at org.openide.nodes.FilterNode.getPropertySets(FilterNode.java:574)
        at
org.openide.explorer.propertysheet.PropertySheet.setCurrentNode(PropertySheet.java:569)
        at
org.openide.explorer.propertysheet.PropertySheet.doSetNodes(PropertySheet.java:382)
.....

- start the IDE without Property Sheet, select several nodes - no Property Sheet
activity  appear
- open the Property Sheet (Windows->Properties), now select several nodes -
expected activity from the Property Sheet
- close the Property Sheet, select several nodes - the Property Sheet activity
will continue
Comment 1 _ tboudreau 2007-02-05 23:31:59 UTC
Created attachment 38075 [details]
Patch to fix it
Comment 2 Stanislav Aubrecht 2007-02-12 11:26:29 UTC
patch integrated 

/cvs/core/src/org/netbeans/core/NbSheet.java,v  <--  NbSheet.java
new revision: 1.37; previous revision: 1.36
Comment 3 pgebauer 2007-03-01 13:00:15 UTC
The issue has been fixed in the release551 branch.
Checking in NbSheet.java;
/cvs/core/src/org/netbeans/core/NbSheet.java,v  <--  NbSheet.java
new revision: 1.27.38.1.2.2.14.1; previous revision: 1.27.38.1.2.2
done
Comment 4 pgebauer 2007-03-02 23:56:55 UTC
The issue has been fixed in the release55_fixes branch.
Checking in NbSheet.java;
/cvs/core/src/org/netbeans/core/NbSheet.java,v  <--  NbSheet.java
new revision: 1.27.38.1.2.2.12.1; previous revision: 1.27.38.1.2.2
done
Comment 5 Peter Lam 2007-04-03 22:34:48 UTC
verified in the final NB 5.5 with fixes in the nbms applied along with build
070322 of UML module.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo